QwtPlotGrid(3)

NAME
QwtPlotGrid -

SYNOPSIS

Inherits QwtPlotItem.

Detailed Description

A class which draws a coordinate grid. The QwtPlotGrid class can be used to draw a coordinate grid. A coordinate grid consists of major and minor vertical and horizontal gridlines. The locations of the gridlines are determined by the X and Y scale divisions which can be assigned with QwtPlotGrid::setXDiv and QwtPlotGrid::setYDiv() The draw() member draws the grid within a bounding rectangle.

Definition at line 34 of file qwt_plot_grid.h.

  Public Member Functions
QwtPlotGrid ()
virtual ~QwtPlotGrid ()
virtual int rtti () const
void enableX (bool tf)
bool xEnabled () const
void enableY (bool tf)
bool yEnabled () const
void enableXMin (bool tf)
bool xMinEnabled () const
void enableYMin (bool tf)
bool yMinEnabled () const
void setXDiv (const QwtScaleDiv &sx)
const QwtScaleDiv & xScaleDiv () const
void setYDiv (const QwtScaleDiv &sy)
const QwtScaleDiv & yScaleDiv () const
void setPen (const QPen &p)
void setMajPen (const QPen &p)
const QPen & majPen () const
void setMinPen (const QPen &p)
const QPen & minPen () const
virtual void draw (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRect &rect) const
virtual void updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &)

Constructor & Destructor Documentation

  QwtPlotGrid::QwtPlotGrid () [explicit]

Enables major grid, disables minor grid.

Definition at line 42 of file qwt_plot_grid.cpp.

References QwtPlotItem::setZ().

  QwtPlotGrid::~QwtPlotGrid () [virtual]

dtor

Definition at line 50 of file qwt_plot_grid.cpp.

Member Function Documentation

  void QwtPlotGrid::draw (QPainter * painter, const QwtScaleMap & mx, const QwtScaleMap & my, const QRect & r) const [virtual]

Draw the grid.

The grid is drawn into the bounding rectangle such that gridlines begin and end at the rectangle's borders. The X and Y maps are used to map the scale divisions into the drawing region screen.

Parameters:
    painter Painter
    mx X axis map
    my Y axis
    r Contents rect of the plot canvas

Implements QwtPlotItem.

Definition at line 202 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::enableX (bool tf)

Enable or disable vertical gridlines.

Parameters:
    tf Enable (true) or disable

See also:
    Minor gridlines can be enabled or disabled with enableXMin()

Definition at line 67 of file qwt_plot_grid.cpp.

References QwtPlotItem::itemChanged().

  void QwtPlotGrid::enableXMin (bool tf)

Enable or disable minor vertical gridlines.

Parameters:
    tf Enable (true) or disable

See also:
    enableX()

Definition at line 95 of file qwt_plot_grid.cpp.

References QwtPlotItem::itemChanged().

  void QwtPlotGrid::enableY (bool tf)

Enable or disable horizontal gridlines.

Parameters:
    tf Enable (true) or disable

See also:
    Minor gridlines can be enabled or disabled with enableYMin()

Definition at line 81 of file qwt_plot_grid.cpp.

References QwtPlotItem::itemChanged().

  void QwtPlotGrid::enableYMin (bool tf)

Enable or disable minor horizontal gridlines.

Parameters:
    tf Enable (true) or disable

See also:
    enableY()

Definition at line 109 of file qwt_plot_grid.cpp.

References QwtPlotItem::itemChanged().

  const QPen & QwtPlotGrid::majPen () const

Returns:
    the pen for the major gridlines

See also:
    setMajPen(), setMinPen(), setPen()

Definition at line 270 of file qwt_plot_grid.cpp.

  const QPen & QwtPlotGrid::minPen () const

Returns:
    the pen for the minor gridlines

See also:
    setMinPen(), setMajPen(), setPen()

Definition at line 279 of file qwt_plot_grid.cpp.

  void QwtPlotGrid::setMajPen (const QPen & p)

Assign a pen for the major gridlines.

Parameters:
    p Pen

See also:
    majPen(), setMinPen(), setPen()

Definition at line 168 of file qwt_plot_grid.cpp.

References QwtPlotItem::itemChanged().

  void QwtPlotGrid::setMinPen (const QPen & p)

Assign a pen for the minor gridlines.

Parameters:
    p Pen

Definition at line 181 of file qwt_plot_grid.cpp.

References QwtPlotItem::itemChanged().

  void QwtPlotGrid::setPen (const QPen & p)

Assign a pen for both major and minor gridlines.

Parameters:
    p Pen

See also:
    setMajPen(), setMinPen()

Definition at line 153 of file qwt_plot_grid.cpp.

References QwtPlotItem::itemChanged().

  void QwtPlotGrid::setXDiv (const QwtScaleDiv & sx)

Assign an x axis scale division.

Parameters:
    sx Scale division

Warning:
    QwtPlotGrid uses implicit sharing (see Qt Manual) for the scale divisions.

Definition at line 124 of file qwt_plot_grid.cpp.

References QwtPlotItem::itemChanged().

Referenced by updateScaleDiv().

  void QwtPlotGrid::setYDiv (const QwtScaleDiv & sy)

Assign a y axis division.

Parameters:
    sy Scale division

Warning:
    QwtPlotGrid uses implicit sharing (see Qt Manual) for the scale divisions.

Definition at line 139 of file qwt_plot_grid.cpp.

References QwtPlotItem::itemChanged().

Referenced by updateScaleDiv().

  void QwtPlotGrid::updateScaleDiv (const QwtScaleDiv & xDiv, const QwtScaleDiv & yDiv) [virtual]

Update the item to changes of the axes scale division.

Update the item, when the axes of plot have changed. The default implementation does nothing, but items that depend on the scale division (like QwtPlotGrid()) have to reimplement updateScaleDiv()

Parameters:
    xScaleDiv Scale division of the x-axis
    yScaleDiv Scale division of the y-axis

See also:
    QwtPlot::updateAxes()

Reimplemented from QwtPlotItem.

Definition at line 333 of file qwt_plot_grid.cpp.

References setXDiv(), and setYDiv().

  bool QwtPlotGrid::xEnabled () const

Returns:
    true if vertical gridlines are enabled

See also:
    enableX()

Definition at line 288 of file qwt_plot_grid.cpp.

  bool QwtPlotGrid::xMinEnabled () const

Returns:
    true if minor vertical gridlines are enabled

See also:
    enableXMin()

Definition at line 297 of file qwt_plot_grid.cpp.

  const QwtScaleDiv & QwtPlotGrid::xScaleDiv () const

Returns:
    the scale division of the x axis

Definition at line 322 of file qwt_plot_grid.cpp.

  bool QwtPlotGrid::yEnabled () const

Returns:
    true if horizontal gridlines are enabled

See also:
    enableY()

Definition at line 306 of file qwt_plot_grid.cpp.

  bool QwtPlotGrid::yMinEnabled () const

Returns:
    true if minor horizontal gridlines are enabled

See also:
    enableYMin()

Definition at line 315 of file qwt_plot_grid.cpp.

  const QwtScaleDiv & QwtPlotGrid::yScaleDiv () const

Returns:
    the scale division of the y axis

Definition at line 328 of file qwt_plot_grid.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.